/*****************************************************************************/
/*      args.h		          					     */
/*---------------------------------------------------------------------------*/
/*	General header for argument parsing code			     */
/*---------------------------------------------------------------------------*/
/*
    COMMENTS:
 *									     */
/*****************************************************************************/


#ifndef TRUE
#define	TRUE	(1==1)
#endif

#ifndef FALSE
#define	FALSE	(0==1)
#endif

#define	BOOLEAN	0
#define INT	1
#define	FLOAT	2
#define	STRING	3
#define ARG_DEF(s,m,t,size,v,d)		{s,m,t,size,(int *)v,FALSE,d}
#define ARG_LAST			{NULL, 0, 0, 0, NULL, FALSE, NULL}


/* Basic element used for switch definition table */
typedef struct args_s {
	char *switchname;	/* Name of switch to match */
	int mandatory;		/* TRUE if required, FALSE otherwise */
	int type;		/* Type of switch data */
	int size;		/* Number of arguments in data */
	int *value;		/* Pointer to data storage area */
	int found;		/* TRUE if exists on command-line */
	char *description;	/* Description of switch used for usage */
} args_t;
